module.exports = {
  create: {
    requestBody: ['school_id', 'payer_role', 'payer_id', 'pay_for', 'from_id', 'type', 'pay_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['school_id', 'payer_role', 'payer_id', 'pay_for', 'from_id', 'type', 'pay_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        school_id: 'school_id',
        payer_role: 'payer_role',
        payer_id: 'payer_id',
        pay_for: 'pay_for',
        from_id: 'from_id',
        type: 'type',
        pay_id: 'pay_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
